<?php
namespace Claromentis\Core\DocumentConverter;

$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"] ?: array()) + array("_2351a63ea5f1aa926b0753b192e8d8" . "41" => base64_decode("RmFpbGVkIHRvIGNv" . "bnZlcnQg"), "_20b3ce3ff92" . "8713aae24217" . "13e60898a" => base64_decode("YWRtaW4uZG9jdW1lbnRfY29udmVyd" . "GVyLmVycm9yLmNvdWxkX25vdF9jb2" . "5uZWN0"), "_31767d7ad58e706dbf47b7a51a0f" . "e6c4" => base64_decode("Y291bnQ" . "="), "_ba3845cb79c005cf" . "3269af8c83ddbe5e" => base64_decode("ZX" . "Jy" . "b3" . "I="), "_b8323c396da910cd2da11d" . "4d0985e9c5" => base64_decode("aXNf" . "cnVu" . "bmlu" . "Zw=="), "_5e905cea5856ef40d35ea1edaf185d" . "1b" => base64_decode("IHVzaW" . "5nIA=="), "_b0e753deb9741c6e9b3d17cac47" . "b5dc5" => base64_decode("Tm8gYXZhaWxhYmxlIERvY3VtZW50IENvbn" . "ZlcnRlcnMgdG8gdXNlLg=="), "_946c6fe2025" . "cf682630afe8" . "f8cdf5861" => base64_decode("Y29tbW9uLmRvY3VtZW50X2NvbnZlc" . "nRlci51bmtub3duX2Vycm9y"), "_6dc023075e7b7a10fcc37e2d1b6910" . "33" => base64_decode("IHRv" . "IA=="), "_77317902a2c9" . "03eaeed66f6a3" . "66de08b" => base64_decode("ZXhjZXB0aW9uX21lc3" . "NhZ2U="), "_a7a98b53d82" . "ba82123bc404" . "7484cd742" => base64_decode("Y29tbW9uLmRvY3VtZW50X2Nvbn" . "ZlcnRlci5ub19jb252ZXJ0ZXJz"), "_0c5123aa74" . "4f69bbc0e8b" . "3ea2f6e847d" => base64_decode("bG1z" . "Zw=="));
use Claromentis\Core\DocumentConverter\Converters\DocumentConverterInterface;
use Claromentis\Core\DocumentConverter\Exceptions\DocumentConverterException;
use Exception;
use Psr\Log\LoggerInterface;
use Psr\Log\NullLogger;
use Webmozart\Assert\Assert;









class DocumentConverterService
{
    
    
    
    
    
    
    private $document_converters;
    
    
    
    
    
    
    private LoggerInterface $logger;
    
    
    
    
    
    
    
    public function __construct(array $_c347105b86cd04864c78a4febd95a6f0, ?LoggerInterface $logger)
    {
        foreach ($_c347105b86cd04864c78a4febd95a6f0 as $document_converter) {
            Assert::isInstanceOf($document_converter, DocumentConverterInterface::class);
        }
        $this->document_converters = $_c347105b86cd04864c78a4febd95a6f0;
        $this->logger = $logger ?? new NullLogger();
        if (empty($this->document_converters)) {
            $this->logger->warning($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_b0e753deb9741c6" . "e9b3d17cac47b5dc" . "5"]);
        }
    }
    
    
    
    
    
    
    
    
    
    
    
    public function Convert($_6d9f48827153c22baa0cc670b103158e, $_86a17589580c81964d306ebe003a445c, $_d1625ea25fb8b4afdb15b0570f6ab860)
    {
        foreach ($this->document_converters as $_02ad4799244951c2d809ee37be9e79fd => $document_converter) {
            try {
                $document_converter->Convert($_6d9f48827153c22baa0cc670b103158e, $_86a17589580c81964d306ebe003a445c, $_d1625ea25fb8b4afdb15b0570f6ab860);
                return;
            } catch (Exception $_fe441aa3ef350bfb1a1a1ad8520dd530) {
                
                
                if ($_02ad4799244951c2d809ee37be9e79fd === $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_31767d7ad58e706dbf47b7a51a" . "0fe6c4"]($this->document_converters) - 1) {
                    if ($_fe441aa3ef350bfb1a1a1ad8520dd530 instanceof DocumentConverterException) {
                        throw new Exception($_fe441aa3ef350bfb1a1a1ad8520dd530->getMessage());
                    } else {
                        throw new Exception($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_0c5123aa744f69bbc0e8b3ea2f6" . "e847d"]($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_946c6fe" . "2025cf68" . "2630afe8" . "f8cdf586" . "1"]));
                    }
                }
                $this->logger->error($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_2351a63ea5f1aa" . "926b0753b192e8d" . "841"] . $_6d9f48827153c22baa0cc670b103158e . $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_6dc023075e7b7" . "a10fcc37e2d1b6" . "91033"] . $_d1625ea25fb8b4afdb15b0570f6ab860 . $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_5e905cea5856ef40d35ea1edaf" . "185d1b"] . $document_converter->GetName(), [$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_77317902a2c903eaeed66f6a" . "366de08b"] => $_fe441aa3ef350bfb1a1a1ad8520dd530->getMessage()]);
            }
        }
        throw new Exception($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_0c5123aa744f69b" . "bc0e8b3ea2f6e847" . "d"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_a7a98b53d82ba82123bc404748" . "4cd742"]));
    }
    
    
    
    
    
    
    public function GetStatus()
    {
        $_2a85611c78080ebe98afdb51c3d4ea92 = [];
        foreach ($this->document_converters as $document_converter) {
            $_b8323c396da910cd2da11d4d0985e9c5 = $document_converter->IsRunning();
            $_2a85611c78080ebe98afdb51c3d4ea92[$document_converter->GetName()] = [$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_b8323c396da910cd2da11d4d0985e9" . "c5"] => $_b8323c396da910cd2da11d4d0985e9c5];
            if (!$_b8323c396da910cd2da11d4d0985e9c5) {
                $_2a85611c78080ebe98afdb51c3d4ea92[$document_converter->GetName()][$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_ba3845cb79c005cf3269af8c83d" . "dbe5e"]] = $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_0c5123aa744" . "f69bbc0e8b3e" . "a2f6e847d"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_20b3ce3ff928713aae242" . "1713e60898a"], $document_converter->GetHost(), $document_converter->GetPort());
            }
        }
        return $_2a85611c78080ebe98afdb51c3d4ea92;
    }
    
    
    
    
    
    
    public function IsRunning()
    {
        foreach ($this->document_converters as $document_converter) {
            if ($document_converter->IsRunning()) {
                return true;
            }
        }
        return false;
    }
}